# Class CIM_PolicyGroup
extends CIM_PolicySet

An aggregation of PolicySet instances (PolicyGroups and/or PolicyRules) that have the same decision strategy and inherit policy roles. PolicyGroup instances are defined and named relative to the CIM_System that provides their context.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicySet
|
+--CIM_PolicyGroup

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | An aggregation of PolicySet instances (PolicyGroups and/or PolicyRules) that have the same decision strategy and inherit policy roles. PolicyGroup instances are defined and named relative to the CIM_System that provides their context.
UMLPackagePath | string | CIM::Policy
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
PolicyGroupName | string |
Description | string | A user-friendly name of this PolicyGroup.
Key | boolean | true
MaxLen | uint32 | 256
SystemCreationClassName | string |
Description | string | The scoping System's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.CreationClassName
SystemName | string |
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Enabled | uint16 | CIM_PolicySet
InstanceID | string | CIM_ManagedElement
PolicyDecisionStrategy | uint16 | CIM_PolicySet
PolicyKeywords | string[] | CIM_Policy
PolicyRoles | string[] | CIM_PolicySet

## Class Methods